Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.sun.enterprise.ee.cms.impl.jxta
Enum CustomTagNames

    java.lang.Object
      java.lang.Enum<CustomTagNames>
          com.sun.enterprise.ee.cms.impl.jxta.CustomTagNames

All Implemented Interfaces:
  Serializable, Comparable<CustomTagNames>

    public enum CustomTagNames

extends Enum<CustomTagNames>

Version:
  $Revision: 1.3 $
Author:
  Shreedhar Ganapathy Date: Jul 14, 2006

Enum Constant Summary
`GROUP_NAME`
`MEMBER_TYPE`
`START_TIME`

Method Summary
`static CustomTagNames` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CustomTagNames[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MEMBER_TYPE

    public static final CustomTagNames MEMBER_TYPE

### GROUP_NAME

    public static final CustomTagNames GROUP_NAME

### START_TIME

    public static final CustomTagNames START_TIME

Method Detail

### values

    public static final CustomTagNames[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(CustomTagNames c : CustomTagNames.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static CustomTagNames valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003 Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.